.top-title {
    background: var(--background-dark) url('../imgs/recipes_background.jpg')
              center / cover no-repeat;
}

.recipes-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 4rem;
    padding: 3em 2vw;
    align-items: stretch;
    justify-content: center;
    width: 70%;
    margin: 0 auto;
}

.recipe-card {
    border: 1px solid var(--border-color);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    overflow: hidden;
    width: 600px;
}

.recipe-card h2 {
    text-align: center;
    margin: 10px 0;
    font-size: 32px;
}

.recipe-card h3 {
    font-size: 20px;
}

.recipe-card .text {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 15px;
}

.recipe-card .text .ingredients {
    flex: .4;
}

.recipe-card .text .steps {
    flex: .6;
}

.recipe-card ul, .recipe-card ol {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.recipe-card label {
    display: flex;
    flex-direction: row;
    align-items: start;
    margin: 5px 0;
}

.recipe-card img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-bottom: 1px solid var(--border-color);
    margin-bottom: 1em;
}

@media (max-width: 1079px) {
    .recipes-grid {
        width: 96%;
        padding: 1em 0;
        gap: 1em;
        justify-content: space-around;
    }
}

@media (max-width: 670px) {
    .recipes-grid {
        width: 100%;
        padding: 1em 0;
    }

    .recipe-card {
        width: 96%;
        margin: 0 auto;
    }

    .recipe-card .text {
        flex-direction: column;
    }
}